Subject: Re: [PATCH 0/4] minor fixes for 2.6.26

From: Segher Boessenkool <[email-masked]>
Date: Tue, 20 May 2008 04:03:47 +0200

>> I think that adding zImage.* to clean-files is a bad idea, because we
>> have zImage.lds.S, zImage.coff.lds.S and zImage.ps3.lds.S in
>> arch/powerpc/boot that we don't want deleted.  It would be OK for
>> compiling with a separate object directory but would be bad for
>> compiling in the source directory.
>
> Arguably this suggests we should rename either the lds files or the
> zImages so that we *can* get a pattern to match.

Not really.  Just define a $(ALL_ZIMAGES) var and use that everywhere.
I would be pretty upset if "make clean" decided to delete my 
zImage.backup,
etc.

Segher